
<div  [ngStyle]="{'background-color':theColor.color }">
    <div class="media-body">
         <h4 class="media-heading">name :{{theColor.name}}</h4>
        <h4 class="media-heading">color :{{theColor.color}}</h4>
    </div>
</div>
<!-- the following button is for sending data ( here is the color) to the parent( Color-reciver.component.ts) -->
<div>
    <!-- <button (click)="callEvent()" *ngIf="btnPermision"> select this color</button> -->
    <button class="btn btn-select" (click)="callEvent()" [disabled]='!btnPermision'> select this color</button>
</div>
